Allocates enough memory for a required capacity

- « Ds\Stack

- Ds\Stack::capacity »

- PHP Manual
- Ds\Stack
- Allocates enough memory for a required capacity

# Ds\Stack::allocate

(PECL ds >= 1.0.0)

Ds\Stack::allocate — Allocates enough memory for a required capacity

### Description

public Ds\Stack::allocate(int `$capacity`): void

Ensures that enough memory is allocated for a required capacity. This removes the need to reallocate the internal as values are added.

### Parameters

`capacity`

  The number of values for which capacity should be allocated.

  > Note:

  > Capacity will stay the same if this value is less than or equal to the current capacity.

### Return Values

No value is returned.